Package org.eclipse.birt.chart.model.attribute

# Interface AttributePackage.Literals

Enclosing interface:
  AttributePackage

public static interface AttributePackage.Literals
Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

## Field Summary

Fields
Modifier and Type
Field
Description
`static final org.eclipse.emf.ecore.EClass`
`ACCESSIBILITY_VALUE`
The meta object literal for the '`Accessibility Value`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`ACCESSIBILITY_VALUE__ACCESSIBILITY`
The meta object literal for the 'Accessibility' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`ACCESSIBILITY_VALUE__TEXT`
The meta object literal for the 'Text' attribute feature.
`static final org.eclipse.emf.ecore.EEnum`
`ACTION_TYPE`
The meta object literal for the '`Action Type`' enum.
`static final org.eclipse.emf.ecore.EDataType`
`ACTION_TYPE_OBJECT`
The meta object literal for the 'Action Type Object' data type.
`static final org.eclipse.emf.ecore.EClass`
`ACTION_VALUE`
The meta object literal for the '`Action Value`' class.
`static final org.eclipse.emf.ecore.EReference`
`ACTION_VALUE__LABEL`
The meta object literal for the 'Label' containment reference feature.
`static final org.eclipse.emf.ecore.EEnum`
`ANCHOR`
The meta object literal for the '`Anchor`' enum.
`static final org.eclipse.emf.ecore.EDataType`
`ANCHOR_OBJECT`
The meta object literal for the 'Anchor Object' data type.
`static final org.eclipse.emf.ecore.EEnum`
`ANGLE_TYPE`
The meta object literal for the '`Angle Type`' enum.
`static final org.eclipse.emf.ecore.EDataType`
`ANGLE_TYPE_OBJECT`
The meta object literal for the 'Angle Type Object' data type.
`static final org.eclipse.emf.ecore.EClass`
`ANGLE3_D`
The meta object literal for the '`Angle3 D`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`ANGLE3_D__TYPE`
The meta object literal for the 'Type' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`ANGLE3_D__XANGLE`
The meta object literal for the 'XAngle' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`ANGLE3_D__YANGLE`
The meta object literal for the 'YAngle' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`ANGLE3_D__ZANGLE`
The meta object literal for the 'ZAngle' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`AXIS_ORIGIN`
The meta object literal for the '`Axis Origin`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`AXIS_ORIGIN__TYPE`
The meta object literal for the 'Type' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`AXIS_ORIGIN__VALUE`
The meta object literal for the 'Value' containment reference feature.
`static final org.eclipse.emf.ecore.EEnum`
`AXIS_TYPE`
The meta object literal for the '`Axis Type`' enum.
`static final org.eclipse.emf.ecore.EDataType`
`AXIS_TYPE_OBJECT`
The meta object literal for the 'Axis Type Object' data type.
`static final org.eclipse.emf.ecore.EClass`
`BOUNDS`
The meta object literal for the '`Bounds`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`BOUNDS__HEIGHT`
The meta object literal for the 'Height' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`BOUNDS__LEFT`
The meta object literal for the 'Left' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`BOUNDS__TOP`
The meta object literal for the 'Top' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`BOUNDS__WIDTH`
The meta object literal for the 'Width' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`CALL_BACK_VALUE`
The meta object literal for the '`Call Back Value`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`CALL_BACK_VALUE__IDENTIFIER`
The meta object literal for the 'Identifier' attribute feature.
`static final org.eclipse.emf.ecore.EEnum`
`CHART_DIMENSION`
The meta object literal for the '`Chart Dimension`' enum.
`static final org.eclipse.emf.ecore.EDataType`
`CHART_DIMENSION_OBJECT`
The meta object literal for the 'Chart Dimension Object' data type.
`static final org.eclipse.emf.ecore.EEnum`
`CHART_TYPE`
The meta object literal for the '`Chart Type`' enum.
`static final org.eclipse.emf.ecore.EDataType`
`CHART_TYPE_OBJECT`
The meta object literal for the 'Chart Type Object' data type.
`static final org.eclipse.emf.ecore.EClass`
`COLOR_DEFINITION`
The meta object literal for the '`Color Definition`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`COLOR_DEFINITION__BLUE`
The meta object literal for the 'Blue' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`COLOR_DEFINITION__GREEN`
The meta object literal for the 'Green' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`COLOR_DEFINITION__RED`
The meta object literal for the 'Red' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`COLOR_DEFINITION__TRANSPARENCY`
The meta object literal for the 'Transparency' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`CURSOR`
The meta object literal for the '`Cursor`' class.
`static final org.eclipse.emf.ecore.EReference`
`CURSOR__IMAGE`
The meta object literal for the 'Image' containment reference list feature.
`static final org.eclipse.emf.ecore.EAttribute`
`CURSOR__TYPE`
The meta object literal for the 'Type' attribute feature.
`static final org.eclipse.emf.ecore.EEnum`
`CURSOR_TYPE`
The meta object literal for the '`Cursor Type`' enum.
`static final org.eclipse.emf.ecore.EDataType`
`CURSOR_TYPE_OBJECT`
The meta object literal for the 'Cursor Type Object' data type.
`static final org.eclipse.emf.ecore.EClass`
`DATA_POINT`
The meta object literal for the '`Data Point`' class.
`static final org.eclipse.emf.ecore.EReference`
`DATA_POINT__COMPONENTS`
The meta object literal for the 'Components' containment reference list feature.
`static final org.eclipse.emf.ecore.EAttribute`
`DATA_POINT__PREFIX`
The meta object literal for the 'Prefix' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`DATA_POINT__SEPARATOR`
The meta object literal for the 'Separator' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`DATA_POINT__SUFFIX`
The meta object literal for the 'Suffix' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`DATA_POINT_COMPONENT`
The meta object literal for the '`Data Point Component`' class.
`static final org.eclipse.emf.ecore.EReference`
`DATA_POINT_COMPONENT__FORMAT_SPECIFIER`
The meta object literal for the 'Format Specifier' containment reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`DATA_POINT_COMPONENT__ORTHOGONAL_TYPE`
The meta object literal for the 'Orthogonal Type' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`DATA_POINT_COMPONENT__TYPE`
The meta object literal for the 'Type' attribute feature.
`static final org.eclipse.emf.ecore.EEnum`
`DATA_POINT_COMPONENT_TYPE`
The meta object literal for the '`Data Point Component Type`' enum.
`static final org.eclipse.emf.ecore.EDataType`
`DATA_POINT_COMPONENT_TYPE_OBJECT`
The meta object literal for the 'Data Point Component Type Object' data type.
`static final org.eclipse.emf.ecore.EEnum`
`DATA_TYPE`
The meta object literal for the '`Data Type`' enum.
`static final org.eclipse.emf.ecore.EDataType`
`DATA_TYPE_OBJECT`
The meta object literal for the 'Data Type Object' data type.
`static final org.eclipse.emf.ecore.EEnum`
`DATE_FORMAT_DETAIL`
The meta object literal for the '`Date Format Detail`' enum.
`static final org.eclipse.emf.ecore.EDataType`
`DATE_FORMAT_DETAIL_OBJECT`
The meta object literal for the 'Date Format Detail Object' data type.
`static final org.eclipse.emf.ecore.EClass`
`DATE_FORMAT_SPECIFIER`
The meta object literal for the '`Date Format Specifier`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`DATE_FORMAT_SPECIFIER__DETAIL`
The meta object literal for the 'Detail' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`DATE_FORMAT_SPECIFIER__TYPE`
The meta object literal for the 'Type' attribute feature.
`static final org.eclipse.emf.ecore.EEnum`
`DATE_FORMAT_TYPE`
The meta object literal for the '`Date Format Type`' enum.
`static final org.eclipse.emf.ecore.EDataType`
`DATE_FORMAT_TYPE_OBJECT`
The meta object literal for the 'Date Format Type Object' data type.
`static final org.eclipse.emf.ecore.EEnum`
`DIRECTION`
The meta object literal for the '`Direction`' enum.
`static final org.eclipse.emf.ecore.EDataType`
`DIRECTION_OBJECT`
The meta object literal for the 'Direction Object' data type.
`static final org.eclipse.emf.ecore.EClass`
`EMBEDDED_IMAGE`
The meta object literal for the '`Embedded Image`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`EMBEDDED_IMAGE__DATA`
The meta object literal for the 'Data' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`ESTRING_TO_STRING_MAP_ENTRY`
The meta object literal for the '`EString To String Map Entry`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`ESTRING_TO_STRING_MAP_ENTRY__KEY`
The meta object literal for the 'Key' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`ESTRING_TO_STRING_MAP_ENTRY__VALUE`
The meta object literal for the 'Value' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`EXTENDED_PROPERTY`
The meta object literal for the '`Extended Property`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`EXTENDED_PROPERTY__NAME`
The meta object literal for the 'Name' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`EXTENDED_PROPERTY__VALUE`
The meta object literal for the 'Value' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`FILL`
The meta object literal for the '`Fill`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`FILL__TYPE`
The meta object literal for the 'Type' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`FONT_DEFINITION`
The meta object literal for the '`Font Definition`' class.
`static final org.eclipse.emf.ecore.EReference`
`FONT_DEFINITION__ALIGNMENT`
The meta object literal for the 'Alignment' containment reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`FONT_DEFINITION__BOLD`
The meta object literal for the 'Bold' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`FONT_DEFINITION__ITALIC`
The meta object literal for the 'Italic' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`FONT_DEFINITION__NAME`
The meta object literal for the 'Name' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`FONT_DEFINITION__ROTATION`
The meta object literal for the 'Rotation' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`FONT_DEFINITION__SIZE`
The meta object literal for the 'Size' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`FONT_DEFINITION__STRIKETHROUGH`
The meta object literal for the 'Strikethrough' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`FONT_DEFINITION__UNDERLINE`
The meta object literal for the 'Underline' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`FONT_DEFINITION__WORD_WRAP`
The meta object literal for the 'Word Wrap' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`FORMAT_SPECIFIER`
The meta object literal for the '`Format Specifier`' class.
`static final org.eclipse.emf.ecore.EClass`
`FRACTION_NUMBER_FORMAT_SPECIFIER`
The meta object literal for the '`Fraction Number Format Specifier`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`FRACTION_NUMBER_FORMAT_SPECIFIER__DELIMITER`
The meta object literal for the 'Delimiter' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`FRACTION_NUMBER_FORMAT_SPECIFIER__FRACTION_DIGITS`
The meta object literal for the 'Fraction Digits' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`FRACTION_NUMBER_FORMAT_SPECIFIER__NUMERATOR`
The meta object literal for the 'Numerator' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`FRACTION_NUMBER_FORMAT_SPECIFIER__PRECISE`
The meta object literal for the 'Precise' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`FRACTION_NUMBER_FORMAT_SPECIFIER__PREFIX`
The meta object literal for the 'Prefix' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`FRACTION_NUMBER_FORMAT_SPECIFIER__SUFFIX`
The meta object literal for the 'Suffix' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`GRADIENT`
The meta object literal for the '`Gradient`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`GRADIENT__CYCLIC`
The meta object literal for the 'Cyclic' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`GRADIENT__DIRECTION`
The meta object literal for the 'Direction' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`GRADIENT__END_COLOR`
The meta object literal for the 'End Color' containment reference feature.
`static final org.eclipse.emf.ecore.EReference`
`GRADIENT__START_COLOR`
The meta object literal for the 'Start Color' containment reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`GRADIENT__TRANSPARENCY`
The meta object literal for the 'Transparency' attribute feature.
`static final org.eclipse.emf.ecore.EEnum`
`GROUPING_UNIT_TYPE`
The meta object literal for the '`Grouping Unit Type`' enum.
`static final org.eclipse.emf.ecore.EDataType`
`GROUPING_UNIT_TYPE_OBJECT`
The meta object literal for the 'Grouping Unit Type Object' data type.
`static final org.eclipse.emf.ecore.EEnum`
`HORIZONTAL_ALIGNMENT`
The meta object literal for the '`Horizontal Alignment`' enum.
`static final org.eclipse.emf.ecore.EDataType`
`HORIZONTAL_ALIGNMENT_OBJECT`
The meta object literal for the 'Horizontal Alignment Object' data type.
`static final org.eclipse.emf.ecore.EDataType`
`ID`
The meta object literal for the 'ID' data type.
`static final org.eclipse.emf.ecore.EClass`
`IMAGE`
The meta object literal for the '`Image`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`IMAGE__SOURCE`
The meta object literal for the 'Source' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`IMAGE__URL`
The meta object literal for the 'URL' attribute feature.
`static final org.eclipse.emf.ecore.EEnum`
`IMAGE_SOURCE_TYPE`
The meta object literal for the '`Image Source Type`' enum.
`static final org.eclipse.emf.ecore.EDataType`
`IMAGE_SOURCE_TYPE_OBJECT`
The meta object literal for the 'Image Source Type Object' data type.
`static final org.eclipse.emf.ecore.EClass`
`INSETS`
The meta object literal for the '`Insets`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`INSETS__BOTTOM`
The meta object literal for the 'Bottom' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`INSETS__LEFT`
The meta object literal for the 'Left' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`INSETS__RIGHT`
The meta object literal for the 'Right' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`INSETS__TOP`
The meta object literal for the 'Top' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`INTERACTIVITY`
The meta object literal for the '`Interactivity`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`INTERACTIVITY__ENABLE`
The meta object literal for the 'Enable' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`INTERACTIVITY__LEGEND_BEHAVIOR`
The meta object literal for the 'Legend Behavior' attribute feature.
`static final org.eclipse.emf.ecore.EEnum`
`INTERSECTION_TYPE`
The meta object literal for the '`Intersection Type`' enum.
`static final org.eclipse.emf.ecore.EDataType`
`INTERSECTION_TYPE_OBJECT`
The meta object literal for the 'Intersection Type Object' data type.
`static final org.eclipse.emf.ecore.EClass`
`JAVA_DATE_FORMAT_SPECIFIER`
The meta object literal for the '`Java Date Format Specifier`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`JAVA_DATE_FORMAT_SPECIFIER__PATTERN`
The meta object literal for the 'Pattern' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`JAVA_NUMBER_FORMAT_SPECIFIER`
The meta object literal for the '`Java Number Format Specifier`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`JAVA_NUMBER_FORMAT_SPECIFIER__MULTIPLIER`
The meta object literal for the 'Multiplier' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`JAVA_NUMBER_FORMAT_SPECIFIER__PATTERN`
The meta object literal for the 'Pattern' attribute feature.
`static final org.eclipse.emf.ecore.EEnum`
`LEADER_LINE_STYLE`
The meta object literal for the '`Leader Line Style`' enum.
`static final org.eclipse.emf.ecore.EDataType`
`LEADER_LINE_STYLE_OBJECT`
The meta object literal for the 'Leader Line Style Object' data type.
`static final org.eclipse.emf.ecore.EEnum`
`LEGEND_BEHAVIOR_TYPE`
The meta object literal for the '`Legend Behavior Type`' enum.
`static final org.eclipse.emf.ecore.EDataType`
`LEGEND_BEHAVIOR_TYPE_OBJECT`
The meta object literal for the 'Legend Behavior Type Object' data type.
`static final org.eclipse.emf.ecore.EEnum`
`LEGEND_ITEM_TYPE`
The meta object literal for the '`Legend Item Type`' enum.
`static final org.eclipse.emf.ecore.EDataType`
`LEGEND_ITEM_TYPE_OBJECT`
The meta object literal for the 'Legend Item Type Object' data type.
`static final org.eclipse.emf.ecore.EClass`
`LINE_ATTRIBUTES`
The meta object literal for the '`Line Attributes`' class.
`static final org.eclipse.emf.ecore.EReference`
`LINE_ATTRIBUTES__COLOR`
The meta object literal for the 'Color' containment reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`LINE_ATTRIBUTES__STYLE`
The meta object literal for the 'Style' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`LINE_ATTRIBUTES__THICKNESS`
The meta object literal for the 'Thickness' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`LINE_ATTRIBUTES__VISIBLE`
The meta object literal for the 'Visible' attribute feature.
`static final org.eclipse.emf.ecore.EEnum`
`LINE_DECORATOR`
The meta object literal for the '`Line Decorator`' enum.
`static final org.eclipse.emf.ecore.EDataType`
`LINE_DECORATOR_OBJECT`
The meta object literal for the 'Line Decorator Object' data type.
`static final org.eclipse.emf.ecore.EEnum`
`LINE_STYLE`
The meta object literal for the '`Line Style`' enum.
`static final org.eclipse.emf.ecore.EDataType`
`LINE_STYLE_OBJECT`
The meta object literal for the 'Line Style Object' data type.
`static final org.eclipse.emf.ecore.EClass`
`LOCATION`
The meta object literal for the '`Location`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`LOCATION__X`
The meta object literal for the 'X' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`LOCATION__Y`
The meta object literal for the 'Y' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`LOCATION3_D`
The meta object literal for the '`Location3 D`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`LOCATION3_D__Z`
The meta object literal for the 'Z' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`MARKER`
The meta object literal for the '`Marker`' class.
`static final org.eclipse.emf.ecore.EReference`
`MARKER__FILL`
The meta object literal for the 'Fill' containment reference feature.
`static final org.eclipse.emf.ecore.EReference`
`MARKER__ICON_PALETTE`
The meta object literal for the 'Icon Palette' containment reference feature.
`static final org.eclipse.emf.ecore.EReference`
`MARKER__OUTLINE`
The meta object literal for the 'Outline' containment reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`MARKER__SIZE`
The meta object literal for the 'Size' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`MARKER__TYPE`
The meta object literal for the 'Type' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`MARKER__VISIBLE`
The meta object literal for the 'Visible' attribute feature.
`static final org.eclipse.emf.ecore.EEnum`
`MARKER_TYPE`
The meta object literal for the '`Marker Type`' enum.
`static final org.eclipse.emf.ecore.EDataType`
`MARKER_TYPE_OBJECT`
The meta object literal for the 'Marker Type Object' data type.
`static final org.eclipse.emf.ecore.EEnum`
`MENU_STYLES_KEY_TYPE`
The meta object literal for the '`Menu Styles Key Type`' enum.
`static final org.eclipse.emf.ecore.EDataType`
`MENU_STYLES_KEY_TYPE_OBJECT`
The meta object literal for the 'Menu Styles Key Type Object' data type.
`static final org.eclipse.emf.ecore.EClass`
`MULTI_URL_VALUES`
The meta object literal for the '`Multi URL Values`' class.
`static final org.eclipse.emf.ecore.EReference`
`MULTI_URL_VALUES__PROPERTIES_MAP`
The meta object literal for the 'Properties Map' map feature.
`static final org.eclipse.emf.ecore.EAttribute`
`MULTI_URL_VALUES__TOOLTIP`
The meta object literal for the 'Tooltip' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`MULTI_URL_VALUES__URL_VALUES`
The meta object literal for the 'URL Values' containment reference list feature.
`static final org.eclipse.emf.ecore.EClass`
`MULTIPLE_FILL`
The meta object literal for the '`Multiple Fill`' class.
`static final org.eclipse.emf.ecore.EReference`
`MULTIPLE_FILL__FILLS`
The meta object literal for the 'Fills' containment reference list feature.
`static final org.eclipse.emf.ecore.EClass`
`NUMBER_FORMAT_SPECIFIER`
The meta object literal for the '`Number Format Specifier`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`NUMBER_FORMAT_SPECIFIER__FRACTION_DIGITS`
The meta object literal for the 'Fraction Digits' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`NUMBER_FORMAT_SPECIFIER__MULTIPLIER`
The meta object literal for the 'Multiplier' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`NUMBER_FORMAT_SPECIFIER__PREFIX`
The meta object literal for the 'Prefix' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`NUMBER_FORMAT_SPECIFIER__SUFFIX`
The meta object literal for the 'Suffix' attribute feature.
`static final org.eclipse.emf.ecore.EEnum`
`ORIENTATION`
The meta object literal for the '`Orientation`' enum.
`static final org.eclipse.emf.ecore.EDataType`
`ORIENTATION_OBJECT`
The meta object literal for the 'Orientation Object' data type.
`static final org.eclipse.emf.ecore.EClass`
`PALETTE`
The meta object literal for the '`Palette`' class.
`static final org.eclipse.emf.ecore.EReference`
`PALETTE__ENTRIES`
The meta object literal for the 'Entries' containment reference list feature.
`static final org.eclipse.emf.ecore.EAttribute`
`PALETTE__NAME`
The meta object literal for the 'Name' attribute feature.
`static final org.eclipse.emf.ecore.EDataType`
`PATTERN_BITMAP`
The meta object literal for the 'Pattern Bitmap' data type.
`static final org.eclipse.emf.ecore.EDataType`
`PATTERN_BITMAP_OBJECT`
The meta object literal for the 'Pattern Bitmap Object' data type.
`static final org.eclipse.emf.ecore.EClass`
`PATTERN_IMAGE`
The meta object literal for the '`Pattern Image`' class.
`static final org.eclipse.emf.ecore.EReference`
`PATTERN_IMAGE__BACK_COLOR`
The meta object literal for the 'Back Color' containment reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`PATTERN_IMAGE__BITMAP`
The meta object literal for the 'Bitmap' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`PATTERN_IMAGE__FORE_COLOR`
The meta object literal for the 'Fore Color' containment reference feature.
`static final org.eclipse.emf.ecore.EDataType`
`PERCENTAGE`
The meta object literal for the 'Percentage' data type.
`static final org.eclipse.emf.ecore.EDataType`
`PERCENTAGE_OBJECT`
The meta object literal for the 'Percentage Object' data type.
`static final org.eclipse.emf.ecore.EEnum`
`POSITION`
The meta object literal for the '`Position`' enum.
`static final org.eclipse.emf.ecore.EDataType`
`POSITION_OBJECT`
The meta object literal for the 'Position Object' data type.
`static final org.eclipse.emf.ecore.EDataType`
`RGB_VALUE`
The meta object literal for the 'RGB Value' data type.
`static final org.eclipse.emf.ecore.EDataType`
`RGB_VALUE_OBJECT`
The meta object literal for the 'RGB Value Object' data type.
`static final org.eclipse.emf.ecore.EEnum`
`RISER_TYPE`
The meta object literal for the '`Riser Type`' enum.
`static final org.eclipse.emf.ecore.EDataType`
`RISER_TYPE_OBJECT`
The meta object literal for the 'Riser Type Object' data type.
`static final org.eclipse.emf.ecore.EClass`
`ROTATION3_D`
The meta object literal for the '`Rotation3 D`' class.
`static final org.eclipse.emf.ecore.EReference`
`ROTATION3_D__ANGLES`
The meta object literal for the 'Angles' containment reference list feature.
`static final org.eclipse.emf.ecore.EEnum`
`RULE_TYPE`
The meta object literal for the '`Rule Type`' enum.
`static final org.eclipse.emf.ecore.EDataType`
`RULE_TYPE_OBJECT`
The meta object literal for the 'Rule Type Object' data type.
`static final org.eclipse.emf.ecore.EEnum`
`SCALE_UNIT_TYPE`
The meta object literal for the '`Scale Unit Type`' enum.
`static final org.eclipse.emf.ecore.EDataType`
`SCALE_UNIT_TYPE_OBJECT`
The meta object literal for the 'Scale Unit Type Object' data type.
`static final org.eclipse.emf.ecore.EClass`
`SCRIPT_VALUE`
The meta object literal for the '`Script Value`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`SCRIPT_VALUE__SCRIPT`
The meta object literal for the 'Script' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`SERIES_VALUE`
The meta object literal for the '`Series Value`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`SERIES_VALUE__NAME`
The meta object literal for the 'Name' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`SIZE`
The meta object literal for the '`Size`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`SIZE__HEIGHT`
The meta object literal for the 'Height' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`SIZE__WIDTH`
The meta object literal for the 'Width' attribute feature.
`static final org.eclipse.emf.ecore.EEnum`
`SORT_OPTION`
The meta object literal for the '`Sort Option`' enum.
`static final org.eclipse.emf.ecore.EDataType`
`SORT_OPTION_OBJECT`
The meta object literal for the 'Sort Option Object' data type.
`static final org.eclipse.emf.ecore.EEnum`
`STRETCH`
The meta object literal for the '`Stretch`' enum.
`static final org.eclipse.emf.ecore.EDataType`
`STRETCH_OBJECT`
The meta object literal for the 'Stretch Object' data type.
`static final org.eclipse.emf.ecore.EClass`
`STRING_FORMAT_SPECIFIER`
The meta object literal for the '`String Format Specifier`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`STRING_FORMAT_SPECIFIER__PATTERN`
The meta object literal for the 'Pattern' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`STYLE`
The meta object literal for the '`Style`' class.
`static final org.eclipse.emf.ecore.EReference`
`STYLE__BACKGROUND_COLOR`
The meta object literal for the 'Background Color' containment reference feature.
`static final org.eclipse.emf.ecore.EReference`
`STYLE__BACKGROUND_IMAGE`
The meta object literal for the 'Background Image' containment reference feature.
`static final org.eclipse.emf.ecore.EReference`
`STYLE__COLOR`
The meta object literal for the 'Color' containment reference feature.
`static final org.eclipse.emf.ecore.EReference`
`STYLE__FONT`
The meta object literal for the 'Font' containment reference feature.
`static final org.eclipse.emf.ecore.EReference`
`STYLE__PADDING`
The meta object literal for the 'Padding' containment reference feature.
`static final org.eclipse.emf.ecore.EClass`
`STYLE_MAP`
The meta object literal for the '`Style Map`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`STYLE_MAP__COMPONENT_NAME`
The meta object literal for the 'Component Name' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`STYLE_MAP__STYLE`
The meta object literal for the 'Style' containment reference feature.
`static final org.eclipse.emf.ecore.EEnum`
`STYLED_COMPONENT`
The meta object literal for the '`Styled Component`' enum.
`static final org.eclipse.emf.ecore.EDataType`
`STYLED_COMPONENT_OBJECT`
The meta object literal for the 'Styled Component Object' data type.
`static final org.eclipse.emf.ecore.EClass`
`TEXT`
The meta object literal for the '`Text`' class.
`static final org.eclipse.emf.ecore.EReference`
`TEXT__COLOR`
The meta object literal for the 'Color' containment reference feature.
`static final org.eclipse.emf.ecore.EReference`
`TEXT__FONT`
The meta object literal for the 'Font' containment reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`TEXT__VALUE`
The meta object literal for the 'Value' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`TEXT_ALIGNMENT`
The meta object literal for the '`Text Alignment`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`TEXT_ALIGNMENT__HORIZONTAL_ALIGNMENT`
The meta object literal for the 'Horizontal Alignment' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`TEXT_ALIGNMENT__VERTICAL_ALIGNMENT`
The meta object literal for the 'Vertical Alignment' attribute feature.
`static final org.eclipse.emf.ecore.EEnum`
`TICK_STYLE`
The meta object literal for the '`Tick Style`' enum.
`static final org.eclipse.emf.ecore.EDataType`
`TICK_STYLE_OBJECT`
The meta object literal for the 'Tick Style Object' data type.
`static final org.eclipse.emf.ecore.EClass`
`TOOLTIP_VALUE`
The meta object literal for the '`Tooltip Value`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`TOOLTIP_VALUE__DELAY`
The meta object literal for the 'Delay' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`TOOLTIP_VALUE__FORMAT_SPECIFIER`
The meta object literal for the 'Format Specifier' containment reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`TOOLTIP_VALUE__TEXT`
The meta object literal for the 'Text' attribute feature.
`static final org.eclipse.emf.ecore.EEnum`
`TRIGGER_CONDITION`
The meta object literal for the '`Trigger Condition`' enum.
`static final org.eclipse.emf.ecore.EDataType`
`TRIGGER_CONDITION_OBJECT`
The meta object literal for the 'Trigger Condition Object' data type.
`static final org.eclipse.emf.ecore.EEnum`
`TRIGGER_FLOW`
The meta object literal for the '`Trigger Flow`' enum.
`static final org.eclipse.emf.ecore.EDataType`
`TRIGGER_FLOW_OBJECT`
The meta object literal for the 'Trigger Flow Object' data type.
`static final org.eclipse.emf.ecore.EEnum`
`UNITS_OF_MEASUREMENT`
The meta object literal for the '`Units Of Measurement`' enum.
`static final org.eclipse.emf.ecore.EDataType`
`UNITS_OF_MEASUREMENT_OBJECT`
The meta object literal for the 'Units Of Measurement Object' data type.
`static final org.eclipse.emf.ecore.EClass`
`URL_VALUE`
The meta object literal for the '`URL Value`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`URL_VALUE__BASE_PARAMETER_NAME`
The meta object literal for the 'Base Parameter Name' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`URL_VALUE__BASE_URL`
The meta object literal for the 'Base Url' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`URL_VALUE__SERIES_PARAMETER_NAME`
The meta object literal for the 'Series Parameter Name' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`URL_VALUE__TARGET`
The meta object literal for the 'Target' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`URL_VALUE__TOOLTIP`
The meta object literal for the 'Tooltip' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`URL_VALUE__VALUE_PARAMETER_NAME`
The meta object literal for the 'Value Parameter Name' attribute feature.
`static final org.eclipse.emf.ecore.EEnum`
`VERTICAL_ALIGNMENT`
The meta object literal for the '`Vertical Alignment`' enum.
`static final org.eclipse.emf.ecore.EDataType`
`VERTICAL_ALIGNMENT_OBJECT`
The meta object literal for the 'Vertical Alignment Object' data type.

## Field Details

### ACCESSIBILITY_VALUE

static final org.eclipse.emf.ecore.EClass ACCESSIBILITY_VALUE
The meta object literal for the '`Accessibility Value`' class.

See Also:
  - `AccessibilityValueImpl`
  - `AttributePackageImpl.getAccessibilityValue()`

### ACCESSIBILITY_VALUE__TEXT

static final org.eclipse.emf.ecore.EAttribute ACCESSIBILITY_VALUE__TEXT
The meta object literal for the 'Text' attribute feature.

### ACCESSIBILITY_VALUE__ACCESSIBILITY

static final org.eclipse.emf.ecore.EAttribute ACCESSIBILITY_VALUE__ACCESSIBILITY
The meta object literal for the 'Accessibility' attribute feature.

### ACTION_VALUE

static final org.eclipse.emf.ecore.EClass ACTION_VALUE
The meta object literal for the '`Action Value`' class.

See Also:
  - `ActionValueImpl`
  - `AttributePackageImpl.getActionValue()`

### ACTION_VALUE__LABEL

static final org.eclipse.emf.ecore.EReference ACTION_VALUE__LABEL
The meta object literal for the 'Label' containment reference feature.

### ANGLE3_D

static final org.eclipse.emf.ecore.EClass ANGLE3_D
The meta object literal for the '`Angle3 D`' class.

See Also:
  - `Angle3DImpl`
  - `AttributePackageImpl.getAngle3D()`

### ANGLE3_D__XANGLE

static final org.eclipse.emf.ecore.EAttribute ANGLE3_D__XANGLE
The meta object literal for the 'XAngle' attribute feature.

### ANGLE3_D__YANGLE

static final org.eclipse.emf.ecore.EAttribute ANGLE3_D__YANGLE
The meta object literal for the 'YAngle' attribute feature.

### ANGLE3_D__ZANGLE

static final org.eclipse.emf.ecore.EAttribute ANGLE3_D__ZANGLE
The meta object literal for the 'ZAngle' attribute feature.

### ANGLE3_D__TYPE

static final org.eclipse.emf.ecore.EAttribute ANGLE3_D__TYPE
The meta object literal for the 'Type' attribute feature.

### AXIS_ORIGIN

static final org.eclipse.emf.ecore.EClass AXIS_ORIGIN
The meta object literal for the '`Axis Origin`' class.

See Also:
  - `AxisOriginImpl`
  - `AttributePackageImpl.getAxisOrigin()`

### AXIS_ORIGIN__TYPE

static final org.eclipse.emf.ecore.EAttribute AXIS_ORIGIN__TYPE
The meta object literal for the 'Type' attribute feature.

### AXIS_ORIGIN__VALUE

static final org.eclipse.emf.ecore.EReference AXIS_ORIGIN__VALUE
The meta object literal for the 'Value' containment reference feature.

### BOUNDS

static final org.eclipse.emf.ecore.EClass BOUNDS
The meta object literal for the '`Bounds`' class.

See Also:
  - `BoundsImpl`
  - `AttributePackageImpl.getBounds()`

### BOUNDS__LEFT

static final org.eclipse.emf.ecore.EAttribute BOUNDS__LEFT
The meta object literal for the 'Left' attribute feature.

### BOUNDS__TOP

static final org.eclipse.emf.ecore.EAttribute BOUNDS__TOP
The meta object literal for the 'Top' attribute feature.

### BOUNDS__WIDTH

static final org.eclipse.emf.ecore.EAttribute BOUNDS__WIDTH
The meta object literal for the 'Width' attribute feature.

### BOUNDS__HEIGHT

static final org.eclipse.emf.ecore.EAttribute BOUNDS__HEIGHT
The meta object literal for the 'Height' attribute feature.

### CALL_BACK_VALUE

static final org.eclipse.emf.ecore.EClass CALL_BACK_VALUE
The meta object literal for the '`Call Back Value`' class.

See Also:
  - `CallBackValueImpl`
  - `AttributePackageImpl.getCallBackValue()`

### CALL_BACK_VALUE__IDENTIFIER

static final org.eclipse.emf.ecore.EAttribute CALL_BACK_VALUE__IDENTIFIER
The meta object literal for the 'Identifier' attribute feature.

### COLOR_DEFINITION

static final org.eclipse.emf.ecore.EClass COLOR_DEFINITION
The meta object literal for the '`Color Definition`' class.

See Also:
  - `ColorDefinitionImpl`
  - `AttributePackageImpl.getColorDefinition()`

### COLOR_DEFINITION__TRANSPARENCY

static final org.eclipse.emf.ecore.EAttribute COLOR_DEFINITION__TRANSPARENCY
The meta object literal for the 'Transparency' attribute feature.

### COLOR_DEFINITION__RED

static final org.eclipse.emf.ecore.EAttribute COLOR_DEFINITION__RED
The meta object literal for the 'Red' attribute feature.

### COLOR_DEFINITION__GREEN

static final org.eclipse.emf.ecore.EAttribute COLOR_DEFINITION__GREEN
The meta object literal for the 'Green' attribute feature.

### COLOR_DEFINITION__BLUE

static final org.eclipse.emf.ecore.EAttribute COLOR_DEFINITION__BLUE
The meta object literal for the 'Blue' attribute feature.

### CURSOR

static final org.eclipse.emf.ecore.EClass CURSOR
The meta object literal for the '`Cursor`' class.

See Also:
  - `CursorImpl`
  - `AttributePackageImpl.getCursor()`

### CURSOR__TYPE

static final org.eclipse.emf.ecore.EAttribute CURSOR__TYPE
The meta object literal for the 'Type' attribute feature.

### CURSOR__IMAGE

static final org.eclipse.emf.ecore.EReference CURSOR__IMAGE
The meta object literal for the 'Image' containment reference list feature.

### DATA_POINT

static final org.eclipse.emf.ecore.EClass DATA_POINT
The meta object literal for the '`Data Point`' class.

See Also:
  - `DataPointImpl`
  - `AttributePackageImpl.getDataPoint()`

### DATA_POINT__COMPONENTS

static final org.eclipse.emf.ecore.EReference DATA_POINT__COMPONENTS
The meta object literal for the 'Components' containment reference list feature.

### DATA_POINT__PREFIX

static final org.eclipse.emf.ecore.EAttribute DATA_POINT__PREFIX
The meta object literal for the 'Prefix' attribute feature.

### DATA_POINT__SUFFIX

static final org.eclipse.emf.ecore.EAttribute DATA_POINT__SUFFIX
The meta object literal for the 'Suffix' attribute feature.

### DATA_POINT__SEPARATOR

static final org.eclipse.emf.ecore.EAttribute DATA_POINT__SEPARATOR
The meta object literal for the 'Separator' attribute feature.

### DATA_POINT_COMPONENT

static final org.eclipse.emf.ecore.EClass DATA_POINT_COMPONENT
The meta object literal for the '`Data Point Component`' class.

See Also:
  - `DataPointComponentImpl`
  - `AttributePackageImpl.getDataPointComponent()`

### DATA_POINT_COMPONENT__TYPE

static final org.eclipse.emf.ecore.EAttribute DATA_POINT_COMPONENT__TYPE
The meta object literal for the 'Type' attribute feature.

### DATA_POINT_COMPONENT__FORMAT_SPECIFIER

static final org.eclipse.emf.ecore.EReference DATA_POINT_COMPONENT__FORMAT_SPECIFIER
The meta object literal for the 'Format Specifier' containment reference feature.

### DATA_POINT_COMPONENT__ORTHOGONAL_TYPE

static final org.eclipse.emf.ecore.EAttribute DATA_POINT_COMPONENT__ORTHOGONAL_TYPE
The meta object literal for the 'Orthogonal Type' attribute feature.

### DATE_FORMAT_SPECIFIER

static final org.eclipse.emf.ecore.EClass DATE_FORMAT_SPECIFIER
The meta object literal for the '`Date Format Specifier`' class.

See Also:
  - `DateFormatSpecifierImpl`
  - `AttributePackageImpl.getDateFormatSpecifier()`

### DATE_FORMAT_SPECIFIER__TYPE

static final org.eclipse.emf.ecore.EAttribute DATE_FORMAT_SPECIFIER__TYPE
The meta object literal for the 'Type' attribute feature.

### DATE_FORMAT_SPECIFIER__DETAIL

static final org.eclipse.emf.ecore.EAttribute DATE_FORMAT_SPECIFIER__DETAIL
The meta object literal for the 'Detail' attribute feature.

### EMBEDDED_IMAGE

static final org.eclipse.emf.ecore.EClass EMBEDDED_IMAGE
The meta object literal for the '`Embedded Image`' class.

See Also:
  - `EmbeddedImageImpl`
  - `AttributePackageImpl.getEmbeddedImage()`

### EMBEDDED_IMAGE__DATA

static final org.eclipse.emf.ecore.EAttribute EMBEDDED_IMAGE__DATA
The meta object literal for the 'Data' attribute feature.

### ESTRING_TO_STRING_MAP_ENTRY

static final org.eclipse.emf.ecore.EClass ESTRING_TO_STRING_MAP_ENTRY
The meta object literal for the '`EString To String Map Entry`' class.

See Also:
  - `EStringToStringMapEntryImpl`
  - `AttributePackageImpl.getEStringToStringMapEntry()`

### ESTRING_TO_STRING_MAP_ENTRY__KEY

static final org.eclipse.emf.ecore.EAttribute ESTRING_TO_STRING_MAP_ENTRY__KEY
The meta object literal for the 'Key' attribute feature.

### ESTRING_TO_STRING_MAP_ENTRY__VALUE

static final org.eclipse.emf.ecore.EAttribute ESTRING_TO_STRING_MAP_ENTRY__VALUE
The meta object literal for the 'Value' attribute feature.

### EXTENDED_PROPERTY

static final org.eclipse.emf.ecore.EClass EXTENDED_PROPERTY
The meta object literal for the '`Extended Property`' class.

See Also:
  - `ExtendedPropertyImpl`
  - `AttributePackageImpl.getExtendedProperty()`

### EXTENDED_PROPERTY__NAME

static final org.eclipse.emf.ecore.EAttribute EXTENDED_PROPERTY__NAME
The meta object literal for the 'Name' attribute feature.

### EXTENDED_PROPERTY__VALUE

static final org.eclipse.emf.ecore.EAttribute EXTENDED_PROPERTY__VALUE
The meta object literal for the 'Value' attribute feature.

### FILL

static final org.eclipse.emf.ecore.EClass FILL
The meta object literal for the '`Fill`' class.

See Also:
  - `FillImpl`
  - `AttributePackageImpl.getFill()`

### FILL__TYPE

static final org.eclipse.emf.ecore.EAttribute FILL__TYPE
The meta object literal for the 'Type' attribute feature.

### FONT_DEFINITION

static final org.eclipse.emf.ecore.EClass FONT_DEFINITION
The meta object literal for the '`Font Definition`' class.

See Also:
  - `FontDefinitionImpl`
  - `AttributePackageImpl.getFontDefinition()`

### FONT_DEFINITION__NAME

static final org.eclipse.emf.ecore.EAttribute FONT_DEFINITION__NAME
The meta object literal for the 'Name' attribute feature.

### FONT_DEFINITION__SIZE

static final org.eclipse.emf.ecore.EAttribute FONT_DEFINITION__SIZE
The meta object literal for the 'Size' attribute feature.

### FONT_DEFINITION__BOLD

static final org.eclipse.emf.ecore.EAttribute FONT_DEFINITION__BOLD
The meta object literal for the 'Bold' attribute feature.

### FONT_DEFINITION__ITALIC

static final org.eclipse.emf.ecore.EAttribute FONT_DEFINITION__ITALIC
The meta object literal for the 'Italic' attribute feature.

### FONT_DEFINITION__STRIKETHROUGH

static final org.eclipse.emf.ecore.EAttribute FONT_DEFINITION__STRIKETHROUGH
The meta object literal for the 'Strikethrough' attribute feature.

### FONT_DEFINITION__UNDERLINE

static final org.eclipse.emf.ecore.EAttribute FONT_DEFINITION__UNDERLINE
The meta object literal for the 'Underline' attribute feature.

### FONT_DEFINITION__WORD_WRAP

static final org.eclipse.emf.ecore.EAttribute FONT_DEFINITION__WORD_WRAP
The meta object literal for the 'Word Wrap' attribute feature.

### FONT_DEFINITION__ALIGNMENT

static final org.eclipse.emf.ecore.EReference FONT_DEFINITION__ALIGNMENT
The meta object literal for the 'Alignment' containment reference feature.

### FONT_DEFINITION__ROTATION

static final org.eclipse.emf.ecore.EAttribute FONT_DEFINITION__ROTATION
The meta object literal for the 'Rotation' attribute feature.

### FORMAT_SPECIFIER

static final org.eclipse.emf.ecore.EClass FORMAT_SPECIFIER
The meta object literal for the '`Format Specifier`' class.

See Also:
  - `FormatSpecifierImpl`
  - `AttributePackageImpl.getFormatSpecifier()`

### FRACTION_NUMBER_FORMAT_SPECIFIER

static final org.eclipse.emf.ecore.EClass FRACTION_NUMBER_FORMAT_SPECIFIER
The meta object literal for the '`Fraction Number Format Specifier`' class.

See Also:
  - `FractionNumberFormatSpecifierImpl`
  - `AttributePackageImpl.getFractionNumberFormatSpecifier()`

### FRACTION_NUMBER_FORMAT_SPECIFIER__PRECISE

static final org.eclipse.emf.ecore.EAttribute FRACTION_NUMBER_FORMAT_SPECIFIER__PRECISE
The meta object literal for the 'Precise' attribute feature.

### FRACTION_NUMBER_FORMAT_SPECIFIER__FRACTION_DIGITS

static final org.eclipse.emf.ecore.EAttribute FRACTION_NUMBER_FORMAT_SPECIFIER__FRACTION_DIGITS
The meta object literal for the 'Fraction Digits' attribute feature.

### FRACTION_NUMBER_FORMAT_SPECIFIER__NUMERATOR

static final org.eclipse.emf.ecore.EAttribute FRACTION_NUMBER_FORMAT_SPECIFIER__NUMERATOR
The meta object literal for the 'Numerator' attribute feature.

### FRACTION_NUMBER_FORMAT_SPECIFIER__PREFIX

static final org.eclipse.emf.ecore.EAttribute FRACTION_NUMBER_FORMAT_SPECIFIER__PREFIX
The meta object literal for the 'Prefix' attribute feature.

### FRACTION_NUMBER_FORMAT_SPECIFIER__SUFFIX

static final org.eclipse.emf.ecore.EAttribute FRACTION_NUMBER_FORMAT_SPECIFIER__SUFFIX
The meta object literal for the 'Suffix' attribute feature.

### FRACTION_NUMBER_FORMAT_SPECIFIER__DELIMITER

static final org.eclipse.emf.ecore.EAttribute FRACTION_NUMBER_FORMAT_SPECIFIER__DELIMITER
The meta object literal for the 'Delimiter' attribute feature.

### GRADIENT

static final org.eclipse.emf.ecore.EClass GRADIENT
The meta object literal for the '`Gradient`' class.

See Also:
  - `GradientImpl`
  - `AttributePackageImpl.getGradient()`

### GRADIENT__START_COLOR

static final org.eclipse.emf.ecore.EReference GRADIENT__START_COLOR
The meta object literal for the 'Start Color' containment reference feature.

### GRADIENT__END_COLOR

static final org.eclipse.emf.ecore.EReference GRADIENT__END_COLOR
The meta object literal for the 'End Color' containment reference feature.

### GRADIENT__DIRECTION

static final org.eclipse.emf.ecore.EAttribute GRADIENT__DIRECTION
The meta object literal for the 'Direction' attribute feature.

### GRADIENT__CYCLIC

static final org.eclipse.emf.ecore.EAttribute GRADIENT__CYCLIC
The meta object literal for the 'Cyclic' attribute feature.

### GRADIENT__TRANSPARENCY

static final org.eclipse.emf.ecore.EAttribute GRADIENT__TRANSPARENCY
The meta object literal for the 'Transparency' attribute feature.

### IMAGE

static final org.eclipse.emf.ecore.EClass IMAGE
The meta object literal for the '`Image`' class.

See Also:
  - `ImageImpl`
  - `AttributePackageImpl.getImage()`

### IMAGE__URL

static final org.eclipse.emf.ecore.EAttribute IMAGE__URL
The meta object literal for the 'URL' attribute feature.

### IMAGE__SOURCE

static final org.eclipse.emf.ecore.EAttribute IMAGE__SOURCE
The meta object literal for the 'Source' attribute feature.

### INSETS

static final org.eclipse.emf.ecore.EClass INSETS
The meta object literal for the '`Insets`' class.

See Also:
  - `InsetsImpl`
  - `AttributePackageImpl.getInsets()`

### INSETS__TOP

static final org.eclipse.emf.ecore.EAttribute INSETS__TOP
The meta object literal for the 'Top' attribute feature.

### INSETS__LEFT

static final org.eclipse.emf.ecore.EAttribute INSETS__LEFT
The meta object literal for the 'Left' attribute feature.

### INSETS__BOTTOM

static final org.eclipse.emf.ecore.EAttribute INSETS__BOTTOM
The meta object literal for the 'Bottom' attribute feature.

### INSETS__RIGHT

static final org.eclipse.emf.ecore.EAttribute INSETS__RIGHT
The meta object literal for the 'Right' attribute feature.

### INTERACTIVITY

static final org.eclipse.emf.ecore.EClass INTERACTIVITY
The meta object literal for the '`Interactivity`' class.

See Also:
  - `InteractivityImpl`
  - `AttributePackageImpl.getInteractivity()`

### INTERACTIVITY__ENABLE

static final org.eclipse.emf.ecore.EAttribute INTERACTIVITY__ENABLE
The meta object literal for the 'Enable' attribute feature.

### INTERACTIVITY__LEGEND_BEHAVIOR

static final org.eclipse.emf.ecore.EAttribute INTERACTIVITY__LEGEND_BEHAVIOR
The meta object literal for the 'Legend Behavior' attribute feature.

### JAVA_DATE_FORMAT_SPECIFIER

static final org.eclipse.emf.ecore.EClass JAVA_DATE_FORMAT_SPECIFIER
The meta object literal for the '`Java Date Format Specifier`' class.

See Also:
  - `JavaDateFormatSpecifierImpl`
  - `AttributePackageImpl.getJavaDateFormatSpecifier()`

### JAVA_DATE_FORMAT_SPECIFIER__PATTERN

static final org.eclipse.emf.ecore.EAttribute JAVA_DATE_FORMAT_SPECIFIER__PATTERN
The meta object literal for the 'Pattern' attribute feature.

### JAVA_NUMBER_FORMAT_SPECIFIER

static final org.eclipse.emf.ecore.EClass JAVA_NUMBER_FORMAT_SPECIFIER
The meta object literal for the '`Java Number Format Specifier`' class.

See Also:
  - `JavaNumberFormatSpecifierImpl`
  - `AttributePackageImpl.getJavaNumberFormatSpecifier()`

### JAVA_NUMBER_FORMAT_SPECIFIER__PATTERN

static final org.eclipse.emf.ecore.EAttribute JAVA_NUMBER_FORMAT_SPECIFIER__PATTERN
The meta object literal for the 'Pattern' attribute feature.

### JAVA_NUMBER_FORMAT_SPECIFIER__MULTIPLIER

static final org.eclipse.emf.ecore.EAttribute JAVA_NUMBER_FORMAT_SPECIFIER__MULTIPLIER
The meta object literal for the 'Multiplier' attribute feature.

### LINE_ATTRIBUTES

static final org.eclipse.emf.ecore.EClass LINE_ATTRIBUTES
The meta object literal for the '`Line Attributes`' class.

See Also:
  - `LineAttributesImpl`
  - `AttributePackageImpl.getLineAttributes()`

### LINE_ATTRIBUTES__STYLE

static final org.eclipse.emf.ecore.EAttribute LINE_ATTRIBUTES__STYLE
The meta object literal for the 'Style' attribute feature.

### LINE_ATTRIBUTES__THICKNESS

static final org.eclipse.emf.ecore.EAttribute LINE_ATTRIBUTES__THICKNESS
The meta object literal for the 'Thickness' attribute feature.

### LINE_ATTRIBUTES__COLOR

static final org.eclipse.emf.ecore.EReference LINE_ATTRIBUTES__COLOR
The meta object literal for the 'Color' containment reference feature.

### LINE_ATTRIBUTES__VISIBLE

static final org.eclipse.emf.ecore.EAttribute LINE_ATTRIBUTES__VISIBLE
The meta object literal for the 'Visible' attribute feature.

### LOCATION

static final org.eclipse.emf.ecore.EClass LOCATION
The meta object literal for the '`Location`' class.

See Also:
  - `LocationImpl`
  - `AttributePackageImpl.getLocation()`

### LOCATION__X

static final org.eclipse.emf.ecore.EAttribute LOCATION__X
The meta object literal for the 'X' attribute feature.

### LOCATION__Y

static final org.eclipse.emf.ecore.EAttribute LOCATION__Y
The meta object literal for the 'Y' attribute feature.

### LOCATION3_D

static final org.eclipse.emf.ecore.EClass LOCATION3_D
The meta object literal for the '`Location3 D`' class.

See Also:
  - `Location3DImpl`
  - `AttributePackageImpl.getLocation3D()`

### LOCATION3_D__Z

static final org.eclipse.emf.ecore.EAttribute LOCATION3_D__Z
The meta object literal for the 'Z' attribute feature.

### MARKER

static final org.eclipse.emf.ecore.EClass MARKER
The meta object literal for the '`Marker`' class.

See Also:
  - `MarkerImpl`
  - `AttributePackageImpl.getMarker()`

### MARKER__TYPE

static final org.eclipse.emf.ecore.EAttribute MARKER__TYPE
The meta object literal for the 'Type' attribute feature.

### MARKER__SIZE

static final org.eclipse.emf.ecore.EAttribute MARKER__SIZE
The meta object literal for the 'Size' attribute feature.

### MARKER__VISIBLE

static final org.eclipse.emf.ecore.EAttribute MARKER__VISIBLE
The meta object literal for the 'Visible' attribute feature.

### MARKER__FILL

static final org.eclipse.emf.ecore.EReference MARKER__FILL
The meta object literal for the 'Fill' containment reference feature.

### MARKER__ICON_PALETTE

static final org.eclipse.emf.ecore.EReference MARKER__ICON_PALETTE
The meta object literal for the 'Icon Palette' containment reference feature.

### MARKER__OUTLINE

static final org.eclipse.emf.ecore.EReference MARKER__OUTLINE
The meta object literal for the 'Outline' containment reference feature.

### MULTIPLE_FILL

static final org.eclipse.emf.ecore.EClass MULTIPLE_FILL
The meta object literal for the '`Multiple Fill`' class.

See Also:
  - `MultipleFillImpl`
  - `AttributePackageImpl.getMultipleFill()`

### MULTIPLE_FILL__FILLS

static final org.eclipse.emf.ecore.EReference MULTIPLE_FILL__FILLS
The meta object literal for the 'Fills' containment reference list feature.

### MULTI_URL_VALUES

static final org.eclipse.emf.ecore.EClass MULTI_URL_VALUES
The meta object literal for the '`Multi URL Values`' class.

See Also:
  - `MultiURLValuesImpl`
  - `AttributePackageImpl.getMultiURLValues()`

### MULTI_URL_VALUES__URL_VALUES

static final org.eclipse.emf.ecore.EReference MULTI_URL_VALUES__URL_VALUES
The meta object literal for the 'URL Values' containment reference list feature.

### MULTI_URL_VALUES__TOOLTIP

static final org.eclipse.emf.ecore.EAttribute MULTI_URL_VALUES__TOOLTIP
The meta object literal for the 'Tooltip' attribute feature.

### MULTI_URL_VALUES__PROPERTIES_MAP

static final org.eclipse.emf.ecore.EReference MULTI_URL_VALUES__PROPERTIES_MAP
The meta object literal for the 'Properties Map' map feature.

### NUMBER_FORMAT_SPECIFIER

static final org.eclipse.emf.ecore.EClass NUMBER_FORMAT_SPECIFIER
The meta object literal for the '`Number Format Specifier`' class.

See Also:
  - `NumberFormatSpecifierImpl`
  - `AttributePackageImpl.getNumberFormatSpecifier()`

### NUMBER_FORMAT_SPECIFIER__PREFIX

static final org.eclipse.emf.ecore.EAttribute NUMBER_FORMAT_SPECIFIER__PREFIX
The meta object literal for the 'Prefix' attribute feature.

### NUMBER_FORMAT_SPECIFIER__SUFFIX

static final org.eclipse.emf.ecore.EAttribute NUMBER_FORMAT_SPECIFIER__SUFFIX
The meta object literal for the 'Suffix' attribute feature.

### NUMBER_FORMAT_SPECIFIER__MULTIPLIER

static final org.eclipse.emf.ecore.EAttribute NUMBER_FORMAT_SPECIFIER__MULTIPLIER
The meta object literal for the 'Multiplier' attribute feature.

### NUMBER_FORMAT_SPECIFIER__FRACTION_DIGITS

static final org.eclipse.emf.ecore.EAttribute NUMBER_FORMAT_SPECIFIER__FRACTION_DIGITS
The meta object literal for the 'Fraction Digits' attribute feature.

### PALETTE

static final org.eclipse.emf.ecore.EClass PALETTE
The meta object literal for the '`Palette`' class.

See Also:
  - `PaletteImpl`
  - `AttributePackageImpl.getPalette()`

### PALETTE__NAME

static final org.eclipse.emf.ecore.EAttribute PALETTE__NAME
The meta object literal for the 'Name' attribute feature.

### PALETTE__ENTRIES

static final org.eclipse.emf.ecore.EReference PALETTE__ENTRIES
The meta object literal for the 'Entries' containment reference list feature.

### PATTERN_IMAGE

static final org.eclipse.emf.ecore.EClass PATTERN_IMAGE
The meta object literal for the '`Pattern Image`' class.

See Also:
  - `PatternImageImpl`
  - `AttributePackageImpl.getPatternImage()`

### PATTERN_IMAGE__BITMAP

static final org.eclipse.emf.ecore.EAttribute PATTERN_IMAGE__BITMAP
The meta object literal for the 'Bitmap' attribute feature.

### PATTERN_IMAGE__FORE_COLOR

static final org.eclipse.emf.ecore.EReference PATTERN_IMAGE__FORE_COLOR
The meta object literal for the 'Fore Color' containment reference feature.

### PATTERN_IMAGE__BACK_COLOR

static final org.eclipse.emf.ecore.EReference PATTERN_IMAGE__BACK_COLOR
The meta object literal for the 'Back Color' containment reference feature.

### ROTATION3_D

static final org.eclipse.emf.ecore.EClass ROTATION3_D
The meta object literal for the '`Rotation3 D`' class.

See Also:
  - `Rotation3DImpl`
  - `AttributePackageImpl.getRotation3D()`

### ROTATION3_D__ANGLES

static final org.eclipse.emf.ecore.EReference ROTATION3_D__ANGLES
The meta object literal for the 'Angles' containment reference list feature.

### SCRIPT_VALUE

static final org.eclipse.emf.ecore.EClass SCRIPT_VALUE
The meta object literal for the '`Script Value`' class.

See Also:
  - `ScriptValueImpl`
  - `AttributePackageImpl.getScriptValue()`

### SCRIPT_VALUE__SCRIPT

static final org.eclipse.emf.ecore.EAttribute SCRIPT_VALUE__SCRIPT
The meta object literal for the 'Script' attribute feature.

### SERIES_VALUE

static final org.eclipse.emf.ecore.EClass SERIES_VALUE
The meta object literal for the '`Series Value`' class.

See Also:
  - `SeriesValueImpl`
  - `AttributePackageImpl.getSeriesValue()`

### SERIES_VALUE__NAME

static final org.eclipse.emf.ecore.EAttribute SERIES_VALUE__NAME
The meta object literal for the 'Name' attribute feature.

### SIZE

static final org.eclipse.emf.ecore.EClass SIZE
The meta object literal for the '`Size`' class.

See Also:
  - `SizeImpl`
  - `AttributePackageImpl.getSize()`

### SIZE__HEIGHT

static final org.eclipse.emf.ecore.EAttribute SIZE__HEIGHT
The meta object literal for the 'Height' attribute feature.

### SIZE__WIDTH

static final org.eclipse.emf.ecore.EAttribute SIZE__WIDTH
The meta object literal for the 'Width' attribute feature.

### STRING_FORMAT_SPECIFIER

static final org.eclipse.emf.ecore.EClass STRING_FORMAT_SPECIFIER
The meta object literal for the '`String Format Specifier`' class.

See Also:
  - `StringFormatSpecifierImpl`
  - `AttributePackageImpl.getStringFormatSpecifier()`

### STRING_FORMAT_SPECIFIER__PATTERN

static final org.eclipse.emf.ecore.EAttribute STRING_FORMAT_SPECIFIER__PATTERN
The meta object literal for the 'Pattern' attribute feature.

### STYLE

static final org.eclipse.emf.ecore.EClass STYLE
The meta object literal for the '`Style`' class.

See Also:
  - `StyleImpl`
  - `AttributePackageImpl.getStyle()`

### STYLE__FONT

static final org.eclipse.emf.ecore.EReference STYLE__FONT
The meta object literal for the 'Font' containment reference feature.

### STYLE__COLOR

static final org.eclipse.emf.ecore.EReference STYLE__COLOR
The meta object literal for the 'Color' containment reference feature.

### STYLE__BACKGROUND_COLOR

static final org.eclipse.emf.ecore.EReference STYLE__BACKGROUND_COLOR
The meta object literal for the 'Background Color' containment reference feature.

### STYLE__BACKGROUND_IMAGE

static final org.eclipse.emf.ecore.EReference STYLE__BACKGROUND_IMAGE
The meta object literal for the 'Background Image' containment reference feature.

### STYLE__PADDING

static final org.eclipse.emf.ecore.EReference STYLE__PADDING
The meta object literal for the 'Padding' containment reference feature.

### STYLE_MAP

static final org.eclipse.emf.ecore.EClass STYLE_MAP
The meta object literal for the '`Style Map`' class.

See Also:
  - `StyleMapImpl`
  - `AttributePackageImpl.getStyleMap()`

### STYLE_MAP__COMPONENT_NAME

static final org.eclipse.emf.ecore.EAttribute STYLE_MAP__COMPONENT_NAME
The meta object literal for the 'Component Name' attribute feature.

### STYLE_MAP__STYLE

static final org.eclipse.emf.ecore.EReference STYLE_MAP__STYLE
The meta object literal for the 'Style' containment reference feature.

### TEXT

static final org.eclipse.emf.ecore.EClass TEXT
The meta object literal for the '`Text`' class.

See Also:
  - `TextImpl`
  - `AttributePackageImpl.getText()`

### TEXT__VALUE

static final org.eclipse.emf.ecore.EAttribute TEXT__VALUE
The meta object literal for the 'Value' attribute feature.

### TEXT__FONT

static final org.eclipse.emf.ecore.EReference TEXT__FONT
The meta object literal for the 'Font' containment reference feature.

### TEXT__COLOR

static final org.eclipse.emf.ecore.EReference TEXT__COLOR
The meta object literal for the 'Color' containment reference feature.

### TEXT_ALIGNMENT

static final org.eclipse.emf.ecore.EClass TEXT_ALIGNMENT
The meta object literal for the '`Text Alignment`' class.

See Also:
  - `TextAlignmentImpl`
  - `AttributePackageImpl.getTextAlignment()`

### TEXT_ALIGNMENT__HORIZONTAL_ALIGNMENT

static final org.eclipse.emf.ecore.EAttribute TEXT_ALIGNMENT__HORIZONTAL_ALIGNMENT
The meta object literal for the 'Horizontal Alignment' attribute feature.

### TEXT_ALIGNMENT__VERTICAL_ALIGNMENT

static final org.eclipse.emf.ecore.EAttribute TEXT_ALIGNMENT__VERTICAL_ALIGNMENT
The meta object literal for the 'Vertical Alignment' attribute feature.

### TOOLTIP_VALUE

static final org.eclipse.emf.ecore.EClass TOOLTIP_VALUE
The meta object literal for the '`Tooltip Value`' class.

See Also:
  - `TooltipValueImpl`
  - `AttributePackageImpl.getTooltipValue()`

### TOOLTIP_VALUE__TEXT

static final org.eclipse.emf.ecore.EAttribute TOOLTIP_VALUE__TEXT
The meta object literal for the 'Text' attribute feature.

### TOOLTIP_VALUE__DELAY

static final org.eclipse.emf.ecore.EAttribute TOOLTIP_VALUE__DELAY
The meta object literal for the 'Delay' attribute feature.

### TOOLTIP_VALUE__FORMAT_SPECIFIER

static final org.eclipse.emf.ecore.EReference TOOLTIP_VALUE__FORMAT_SPECIFIER
The meta object literal for the 'Format Specifier' containment reference feature.

### URL_VALUE

static final org.eclipse.emf.ecore.EClass URL_VALUE
The meta object literal for the '`URL Value`' class.

See Also:
  - `URLValueImpl`
  - `AttributePackageImpl.getURLValue()`

### URL_VALUE__BASE_URL

static final org.eclipse.emf.ecore.EAttribute URL_VALUE__BASE_URL
The meta object literal for the 'Base Url' attribute feature.

### URL_VALUE__TARGET

static final org.eclipse.emf.ecore.EAttribute URL_VALUE__TARGET
The meta object literal for the 'Target' attribute feature.

### URL_VALUE__BASE_PARAMETER_NAME

static final org.eclipse.emf.ecore.EAttribute URL_VALUE__BASE_PARAMETER_NAME
The meta object literal for the 'Base Parameter Name' attribute feature.

### URL_VALUE__VALUE_PARAMETER_NAME

static final org.eclipse.emf.ecore.EAttribute URL_VALUE__VALUE_PARAMETER_NAME
The meta object literal for the 'Value Parameter Name' attribute feature.

### URL_VALUE__SERIES_PARAMETER_NAME

static final org.eclipse.emf.ecore.EAttribute URL_VALUE__SERIES_PARAMETER_NAME
The meta object literal for the 'Series Parameter Name' attribute feature.

### URL_VALUE__TOOLTIP

static final org.eclipse.emf.ecore.EAttribute URL_VALUE__TOOLTIP
The meta object literal for the 'Tooltip' attribute feature.

### ACTION_TYPE

static final org.eclipse.emf.ecore.EEnum ACTION_TYPE
The meta object literal for the '`Action Type`' enum.

See Also:
  - `ActionType`
  - `AttributePackageImpl.getActionType()`

### ANCHOR

static final org.eclipse.emf.ecore.EEnum ANCHOR
The meta object literal for the '`Anchor`' enum.

See Also:
  - `Anchor`
  - `AttributePackageImpl.getAnchor()`

### ANGLE_TYPE

static final org.eclipse.emf.ecore.EEnum ANGLE_TYPE
The meta object literal for the '`Angle Type`' enum.

See Also:
  - `AngleType`
  - `AttributePackageImpl.getAngleType()`

### AXIS_TYPE

static final org.eclipse.emf.ecore.EEnum AXIS_TYPE
The meta object literal for the '`Axis Type`' enum.

See Also:
  - `AxisType`
  - `AttributePackageImpl.getAxisType()`

### CHART_DIMENSION

static final org.eclipse.emf.ecore.EEnum CHART_DIMENSION
The meta object literal for the '`Chart Dimension`' enum.

See Also:
  - `ChartDimension`
  - `AttributePackageImpl.getChartDimension()`

### CHART_TYPE

static final org.eclipse.emf.ecore.EEnum CHART_TYPE
The meta object literal for the '`Chart Type`' enum.

See Also:
  - `ChartType`
  - `AttributePackageImpl.getChartType()`

### CURSOR_TYPE

static final org.eclipse.emf.ecore.EEnum CURSOR_TYPE
The meta object literal for the '`Cursor Type`' enum.

See Also:
  - `CursorType`
  - `AttributePackageImpl.getCursorType()`

### DATA_POINT_COMPONENT_TYPE

static final org.eclipse.emf.ecore.EEnum DATA_POINT_COMPONENT_TYPE
The meta object literal for the '`Data Point Component Type`' enum.

See Also:
  - `DataPointComponentType`
  - `AttributePackageImpl.getDataPointComponentType()`

### DATA_TYPE

static final org.eclipse.emf.ecore.EEnum DATA_TYPE
The meta object literal for the '`Data Type`' enum.

See Also:
  - `DataType`
  - `AttributePackageImpl.getDataType()`

### DATE_FORMAT_DETAIL

static final org.eclipse.emf.ecore.EEnum DATE_FORMAT_DETAIL
The meta object literal for the '`Date Format Detail`' enum.

See Also:
  - `DateFormatDetail`
  - `AttributePackageImpl.getDateFormatDetail()`

### DATE_FORMAT_TYPE

static final org.eclipse.emf.ecore.EEnum DATE_FORMAT_TYPE
The meta object literal for the '`Date Format Type`' enum.

See Also:
  - `DateFormatType`
  - `AttributePackageImpl.getDateFormatType()`

### DIRECTION

static final org.eclipse.emf.ecore.EEnum DIRECTION
The meta object literal for the '`Direction`' enum.

See Also:
  - `Direction`
  - `AttributePackageImpl.getDirection()`

### GROUPING_UNIT_TYPE

static final org.eclipse.emf.ecore.EEnum GROUPING_UNIT_TYPE
The meta object literal for the '`Grouping Unit Type`' enum.

See Also:
  - `GroupingUnitType`
  - `AttributePackageImpl.getGroupingUnitType()`

### HORIZONTAL_ALIGNMENT

static final org.eclipse.emf.ecore.EEnum HORIZONTAL_ALIGNMENT
The meta object literal for the '`Horizontal Alignment`' enum.

See Also:
  - `HorizontalAlignment`
  - `AttributePackageImpl.getHorizontalAlignment()`

### IMAGE_SOURCE_TYPE

static final org.eclipse.emf.ecore.EEnum IMAGE_SOURCE_TYPE
The meta object literal for the '`Image Source Type`' enum.

See Also:
  - `ImageSourceType`
  - `AttributePackageImpl.getImageSourceType()`

### INTERSECTION_TYPE

static final org.eclipse.emf.ecore.EEnum INTERSECTION_TYPE
The meta object literal for the '`Intersection Type`' enum.

See Also:
  - `IntersectionType`
  - `AttributePackageImpl.getIntersectionType()`

### LEADER_LINE_STYLE

static final org.eclipse.emf.ecore.EEnum LEADER_LINE_STYLE
The meta object literal for the '`Leader Line Style`' enum.

See Also:
  - `LeaderLineStyle`
  - `AttributePackageImpl.getLeaderLineStyle()`

### LEGEND_BEHAVIOR_TYPE

static final org.eclipse.emf.ecore.EEnum LEGEND_BEHAVIOR_TYPE
The meta object literal for the '`Legend Behavior Type`' enum.

See Also:
  - `LegendBehaviorType`
  - `AttributePackageImpl.getLegendBehaviorType()`

### LEGEND_ITEM_TYPE

static final org.eclipse.emf.ecore.EEnum LEGEND_ITEM_TYPE
The meta object literal for the '`Legend Item Type`' enum.

See Also:
  - `LegendItemType`
  - `AttributePackageImpl.getLegendItemType()`

### LINE_DECORATOR

static final org.eclipse.emf.ecore.EEnum LINE_DECORATOR
The meta object literal for the '`Line Decorator`' enum.

See Also:
  - `LineDecorator`
  - `AttributePackageImpl.getLineDecorator()`

### LINE_STYLE

static final org.eclipse.emf.ecore.EEnum LINE_STYLE
The meta object literal for the '`Line Style`' enum.

See Also:
  - `LineStyle`
  - `AttributePackageImpl.getLineStyle()`

### MARKER_TYPE

static final org.eclipse.emf.ecore.EEnum MARKER_TYPE
The meta object literal for the '`Marker Type`' enum.

See Also:
  - `MarkerType`
  - `AttributePackageImpl.getMarkerType()`

### MENU_STYLES_KEY_TYPE

static final org.eclipse.emf.ecore.EEnum MENU_STYLES_KEY_TYPE
The meta object literal for the '`Menu Styles Key Type`' enum.

See Also:
  - `MenuStylesKeyType`
  - `AttributePackageImpl.getMenuStylesKeyType()`

### ORIENTATION

static final org.eclipse.emf.ecore.EEnum ORIENTATION
The meta object literal for the '`Orientation`' enum.

See Also:
  - `Orientation`
  - `AttributePackageImpl.getOrientation()`

### POSITION

static final org.eclipse.emf.ecore.EEnum POSITION
The meta object literal for the '`Position`' enum.

See Also:
  - `Position`
  - `AttributePackageImpl.getPosition()`

### RISER_TYPE

static final org.eclipse.emf.ecore.EEnum RISER_TYPE
The meta object literal for the '`Riser Type`' enum.

See Also:
  - `RiserType`
  - `AttributePackageImpl.getRiserType()`

### RULE_TYPE

static final org.eclipse.emf.ecore.EEnum RULE_TYPE
The meta object literal for the '`Rule Type`' enum.

See Also:
  - `RuleType`
  - `AttributePackageImpl.getRuleType()`

### SCALE_UNIT_TYPE

static final org.eclipse.emf.ecore.EEnum SCALE_UNIT_TYPE
The meta object literal for the '`Scale Unit Type`' enum.

See Also:
  - `ScaleUnitType`
  - `AttributePackageImpl.getScaleUnitType()`

### SORT_OPTION

static final org.eclipse.emf.ecore.EEnum SORT_OPTION
The meta object literal for the '`Sort Option`' enum.

See Also:
  - `SortOption`
  - `AttributePackageImpl.getSortOption()`

### STRETCH

static final org.eclipse.emf.ecore.EEnum STRETCH
The meta object literal for the '`Stretch`' enum.

See Also:
  - `Stretch`
  - `AttributePackageImpl.getStretch()`

### STYLED_COMPONENT

static final org.eclipse.emf.ecore.EEnum STYLED_COMPONENT
The meta object literal for the '`Styled Component`' enum.

See Also:
  - `StyledComponent`
  - `AttributePackageImpl.getStyledComponent()`

### TICK_STYLE

static final org.eclipse.emf.ecore.EEnum TICK_STYLE
The meta object literal for the '`Tick Style`' enum.

See Also:
  - `TickStyle`
  - `AttributePackageImpl.getTickStyle()`

### TRIGGER_CONDITION

static final org.eclipse.emf.ecore.EEnum TRIGGER_CONDITION
The meta object literal for the '`Trigger Condition`' enum.

See Also:
  - `TriggerCondition`
  - `AttributePackageImpl.getTriggerCondition()`

### TRIGGER_FLOW

static final org.eclipse.emf.ecore.EEnum TRIGGER_FLOW
The meta object literal for the '`Trigger Flow`' enum.

See Also:
  - `TriggerFlow`
  - `AttributePackageImpl.getTriggerFlow()`

### UNITS_OF_MEASUREMENT

static final org.eclipse.emf.ecore.EEnum UNITS_OF_MEASUREMENT
The meta object literal for the '`Units Of Measurement`' enum.

See Also:
  - `UnitsOfMeasurement`
  - `AttributePackageImpl.getUnitsOfMeasurement()`

### VERTICAL_ALIGNMENT

static final org.eclipse.emf.ecore.EEnum VERTICAL_ALIGNMENT
The meta object literal for the '`Vertical Alignment`' enum.

See Also:
  - `VerticalAlignment`
  - `AttributePackageImpl.getVerticalAlignment()`

### ACTION_TYPE_OBJECT

static final org.eclipse.emf.ecore.EDataType ACTION_TYPE_OBJECT
The meta object literal for the 'Action Type Object' data type.

See Also:
  - `ActionType`
  - `AttributePackageImpl.getActionTypeObject()`

### ANCHOR_OBJECT

static final org.eclipse.emf.ecore.EDataType ANCHOR_OBJECT
The meta object literal for the 'Anchor Object' data type.

See Also:
  - `Anchor`
  - `AttributePackageImpl.getAnchorObject()`

### ANGLE_TYPE_OBJECT

static final org.eclipse.emf.ecore.EDataType ANGLE_TYPE_OBJECT
The meta object literal for the 'Angle Type Object' data type.

See Also:
  - `AngleType`
  - `AttributePackageImpl.getAngleTypeObject()`

### AXIS_TYPE_OBJECT

static final org.eclipse.emf.ecore.EDataType AXIS_TYPE_OBJECT
The meta object literal for the 'Axis Type Object' data type.

See Also:
  - `AxisType`
  - `AttributePackageImpl.getAxisTypeObject()`

### CHART_DIMENSION_OBJECT

static final org.eclipse.emf.ecore.EDataType CHART_DIMENSION_OBJECT
The meta object literal for the 'Chart Dimension Object' data type.

See Also:
  - `ChartDimension`
  - `AttributePackageImpl.getChartDimensionObject()`

### CHART_TYPE_OBJECT

static final org.eclipse.emf.ecore.EDataType CHART_TYPE_OBJECT
The meta object literal for the 'Chart Type Object' data type.

See Also:
  - `ChartType`
  - `AttributePackageImpl.getChartTypeObject()`

### CURSOR_TYPE_OBJECT

static final org.eclipse.emf.ecore.EDataType CURSOR_TYPE_OBJECT
The meta object literal for the 'Cursor Type Object' data type.

See Also:
  - `CursorType`
  - `AttributePackageImpl.getCursorTypeObject()`

### DATA_POINT_COMPONENT_TYPE_OBJECT

static final org.eclipse.emf.ecore.EDataType DATA_POINT_COMPONENT_TYPE_OBJECT
The meta object literal for the 'Data Point Component Type Object' data type.

See Also:
  - `DataPointComponentType`
  - `AttributePackageImpl.getDataPointComponentTypeObject()`

### DATA_TYPE_OBJECT

static final org.eclipse.emf.ecore.EDataType DATA_TYPE_OBJECT
The meta object literal for the 'Data Type Object' data type.

See Also:
  - `DataType`
  - `AttributePackageImpl.getDataTypeObject()`

### DATE_FORMAT_DETAIL_OBJECT

static final org.eclipse.emf.ecore.EDataType DATE_FORMAT_DETAIL_OBJECT
The meta object literal for the 'Date Format Detail Object' data type.

See Also:
  - `DateFormatDetail`
  - `AttributePackageImpl.getDateFormatDetailObject()`

### DATE_FORMAT_TYPE_OBJECT

static final org.eclipse.emf.ecore.EDataType DATE_FORMAT_TYPE_OBJECT
The meta object literal for the 'Date Format Type Object' data type.

See Also:
  - `DateFormatType`
  - `AttributePackageImpl.getDateFormatTypeObject()`

### DIRECTION_OBJECT

static final org.eclipse.emf.ecore.EDataType DIRECTION_OBJECT
The meta object literal for the 'Direction Object' data type.

See Also:
  - `Direction`
  - `AttributePackageImpl.getDirectionObject()`

### GROUPING_UNIT_TYPE_OBJECT

static final org.eclipse.emf.ecore.EDataType GROUPING_UNIT_TYPE_OBJECT
The meta object literal for the 'Grouping Unit Type Object' data type.

See Also:
  - `GroupingUnitType`
  - `AttributePackageImpl.getGroupingUnitTypeObject()`

### HORIZONTAL_ALIGNMENT_OBJECT

static final org.eclipse.emf.ecore.EDataType HORIZONTAL_ALIGNMENT_OBJECT
The meta object literal for the 'Horizontal Alignment Object' data type.

See Also:
  - `HorizontalAlignment`
  - `AttributePackageImpl.getHorizontalAlignmentObject()`

### ID

static final org.eclipse.emf.ecore.EDataType ID
The meta object literal for the 'ID' data type.

See Also:
  - `String`
  - `AttributePackageImpl.getID()`

### IMAGE_SOURCE_TYPE_OBJECT

static final org.eclipse.emf.ecore.EDataType IMAGE_SOURCE_TYPE_OBJECT
The meta object literal for the 'Image Source Type Object' data type.

See Also:
  - `ImageSourceType`
  - `AttributePackageImpl.getImageSourceTypeObject()`

### INTERSECTION_TYPE_OBJECT

static final org.eclipse.emf.ecore.EDataType INTERSECTION_TYPE_OBJECT
The meta object literal for the 'Intersection Type Object' data type.

See Also:
  - `IntersectionType`
  - `AttributePackageImpl.getIntersectionTypeObject()`

### LEADER_LINE_STYLE_OBJECT

static final org.eclipse.emf.ecore.EDataType LEADER_LINE_STYLE_OBJECT
The meta object literal for the 'Leader Line Style Object' data type.

See Also:
  - `LeaderLineStyle`
  - `AttributePackageImpl.getLeaderLineStyleObject()`

### LEGEND_BEHAVIOR_TYPE_OBJECT

static final org.eclipse.emf.ecore.EDataType LEGEND_BEHAVIOR_TYPE_OBJECT
The meta object literal for the 'Legend Behavior Type Object' data type.

See Also:
  - `LegendBehaviorType`
  - `AttributePackageImpl.getLegendBehaviorTypeObject()`

### LEGEND_ITEM_TYPE_OBJECT

static final org.eclipse.emf.ecore.EDataType LEGEND_ITEM_TYPE_OBJECT
The meta object literal for the 'Legend Item Type Object' data type.

See Also:
  - `LegendItemType`
  - `AttributePackageImpl.getLegendItemTypeObject()`

### LINE_DECORATOR_OBJECT

static final org.eclipse.emf.ecore.EDataType LINE_DECORATOR_OBJECT
The meta object literal for the 'Line Decorator Object' data type.

See Also:
  - `LineDecorator`
  - `AttributePackageImpl.getLineDecoratorObject()`

### LINE_STYLE_OBJECT

static final org.eclipse.emf.ecore.EDataType LINE_STYLE_OBJECT
The meta object literal for the 'Line Style Object' data type.

See Also:
  - `LineStyle`
  - `AttributePackageImpl.getLineStyleObject()`

### MARKER_TYPE_OBJECT

static final org.eclipse.emf.ecore.EDataType MARKER_TYPE_OBJECT
The meta object literal for the 'Marker Type Object' data type.

See Also:
  - `MarkerType`
  - `AttributePackageImpl.getMarkerTypeObject()`

### MENU_STYLES_KEY_TYPE_OBJECT

static final org.eclipse.emf.ecore.EDataType MENU_STYLES_KEY_TYPE_OBJECT
The meta object literal for the 'Menu Styles Key Type Object' data type.

See Also:
  - `MenuStylesKeyType`
  - `AttributePackageImpl.getMenuStylesKeyTypeObject()`

### ORIENTATION_OBJECT

static final org.eclipse.emf.ecore.EDataType ORIENTATION_OBJECT
The meta object literal for the 'Orientation Object' data type.

See Also:
  - `Orientation`
  - `AttributePackageImpl.getOrientationObject()`

### PATTERN_BITMAP

static final org.eclipse.emf.ecore.EDataType PATTERN_BITMAP
The meta object literal for the 'Pattern Bitmap' data type.

See Also:
  - `AttributePackageImpl.getPatternBitmap()`

### PATTERN_BITMAP_OBJECT

static final org.eclipse.emf.ecore.EDataType PATTERN_BITMAP_OBJECT
The meta object literal for the 'Pattern Bitmap Object' data type.

See Also:
  - `Long`
  - `AttributePackageImpl.getPatternBitmapObject()`

### PERCENTAGE

static final org.eclipse.emf.ecore.EDataType PERCENTAGE
The meta object literal for the 'Percentage' data type.

See Also:
  - `AttributePackageImpl.getPercentage()`

### PERCENTAGE_OBJECT

static final org.eclipse.emf.ecore.EDataType PERCENTAGE_OBJECT
The meta object literal for the 'Percentage Object' data type.

See Also:
  - `Double`
  - `AttributePackageImpl.getPercentageObject()`

### POSITION_OBJECT

static final org.eclipse.emf.ecore.EDataType POSITION_OBJECT
The meta object literal for the 'Position Object' data type.

See Also:
  - `Position`
  - `AttributePackageImpl.getPositionObject()`

### RGB_VALUE

static final org.eclipse.emf.ecore.EDataType RGB_VALUE
The meta object literal for the 'RGB Value' data type.

See Also:
  - `AttributePackageImpl.getRGBValue()`

### RGB_VALUE_OBJECT

static final org.eclipse.emf.ecore.EDataType RGB_VALUE_OBJECT
The meta object literal for the 'RGB Value Object' data type.

See Also:
  - `Integer`
  - `AttributePackageImpl.getRGBValueObject()`

### RISER_TYPE_OBJECT

static final org.eclipse.emf.ecore.EDataType RISER_TYPE_OBJECT
The meta object literal for the 'Riser Type Object' data type.

See Also:
  - `RiserType`
  - `AttributePackageImpl.getRiserTypeObject()`

### RULE_TYPE_OBJECT

static final org.eclipse.emf.ecore.EDataType RULE_TYPE_OBJECT
The meta object literal for the 'Rule Type Object' data type.

See Also:
  - `RuleType`
  - `AttributePackageImpl.getRuleTypeObject()`

### SCALE_UNIT_TYPE_OBJECT

static final org.eclipse.emf.ecore.EDataType SCALE_UNIT_TYPE_OBJECT
The meta object literal for the 'Scale Unit Type Object' data type.

See Also:
  - `ScaleUnitType`
  - `AttributePackageImpl.getScaleUnitTypeObject()`

### SORT_OPTION_OBJECT

static final org.eclipse.emf.ecore.EDataType SORT_OPTION_OBJECT
The meta object literal for the 'Sort Option Object' data type.

See Also:
  - `SortOption`
  - `AttributePackageImpl.getSortOptionObject()`

### STRETCH_OBJECT

static final org.eclipse.emf.ecore.EDataType STRETCH_OBJECT
The meta object literal for the 'Stretch Object' data type.

See Also:
  - `Stretch`
  - `AttributePackageImpl.getStretchObject()`

### STYLED_COMPONENT_OBJECT

static final org.eclipse.emf.ecore.EDataType STYLED_COMPONENT_OBJECT
The meta object literal for the 'Styled Component Object' data type.

See Also:
  - `StyledComponent`
  - `AttributePackageImpl.getStyledComponentObject()`

### TICK_STYLE_OBJECT

static final org.eclipse.emf.ecore.EDataType TICK_STYLE_OBJECT
The meta object literal for the 'Tick Style Object' data type.

See Also:
  - `TickStyle`
  - `AttributePackageImpl.getTickStyleObject()`

### TRIGGER_CONDITION_OBJECT

static final org.eclipse.emf.ecore.EDataType TRIGGER_CONDITION_OBJECT
The meta object literal for the 'Trigger Condition Object' data type.

See Also:
  - `TriggerCondition`
  - `AttributePackageImpl.getTriggerConditionObject()`

### TRIGGER_FLOW_OBJECT

static final org.eclipse.emf.ecore.EDataType TRIGGER_FLOW_OBJECT
The meta object literal for the 'Trigger Flow Object' data type.

See Also:
  - `TriggerFlow`
  - `AttributePackageImpl.getTriggerFlowObject()`

### UNITS_OF_MEASUREMENT_OBJECT

static final org.eclipse.emf.ecore.EDataType UNITS_OF_MEASUREMENT_OBJECT
The meta object literal for the 'Units Of Measurement Object' data type.

See Also:
  - `UnitsOfMeasurement`
  - `AttributePackageImpl.getUnitsOfMeasurementObject()`

### VERTICAL_ALIGNMENT_OBJECT

static final org.eclipse.emf.ecore.EDataType VERTICAL_ALIGNMENT_OBJECT
The meta object literal for the 'Vertical Alignment Object' data type.

See Also:
  - `VerticalAlignment`
  - `AttributePackageImpl.getVerticalAlignmentObject()`